> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Giá dự khớp



## OpenAPI

````yaml https://cdn.entrade.com.vn/dnse-openapi/doc/dnse-openapi-2026-07-23.yaml get /price/{symbol}/expected-price
openapi: 3.0.0
info:
  title: OpenAPI-V2-Spec 260730
  version: 1.0.0
  description: DNSE OpenAPI spec and tests
servers:
  - url: https://openapi-uat.dnse.com.vn
security: []
paths:
  /price/{symbol}/expected-price:
    parameters:
      - name: symbol
        in: path
        required: true
        description: Mã chứng khoán
        schema:
          type: string
        example: HPG
    get:
      tags:
        - market-data
      summary: Giá dự khớp
      parameters:
        - name: boardId
          in: query
          description: |-
            Mã bảng giao dịch
            - G1: Lô chẵn
            - G4: Lô lẻ
            - T1: Thỏa thuận trong giờ (9h - 14h45)
            - T3: Thỏa thuận sau giờ (14h45 - 15h)
            - T4: Thỏa thuận lô lẻ trong giờ (9h - 14h45)
            - T6: Thỏa thuận lô lẻ sau giờ  (14h45 - 15h)
          schema:
            type: string
        - name: from
          in: query
          required: true
          description: Thời gian bắt đầu (timestamp)
          schema:
            type: string
        - name: to
          in: query
          required: true
          description: Thời gian kết thúc (timestamp) (không vượt quá 1 ngày)
          schema:
            type: string
        - name: limit
          in: query
          schema:
            type: integer
        - name: nextPageToken
          in: query
          schema:
            type: string
        - name: X-API-Key
          in: header
          required: true
          description: API Key được cấp khi đăng ký dịch vụ
          schema:
            type: string
        - name: X-Aux-Date
          in: header
          required: true
          description: Thời gian thực hiện yêu cầu
          schema:
            type: string
        - name: X-Signature
          in: header
          required: true
          description: Chữ ký xác thực yêu cầu
          schema:
            type: string
        - name: version
          in: header
          description: API version (YYYY-MM-DD)
          schema:
            type: string
            format: date
      responses:
        '200':
          description: OK
          headers:
            Content-Length:
              deprecated: false
              schema: {}
            Date:
              deprecated: false
              schema: {}
            Vary:
              deprecated: false
              schema: {}
            X-Ratelimit-Limit:
              deprecated: false
              schema: {}
            X-Ratelimit-Remaining:
              deprecated: false
              schema: {}
            X-Ratelimit-Reset:
              deprecated: false
              schema: {}
            X-Tyk-Api-Expires:
              deprecated: false
              schema: {}
          content:
            application/json:
              schema:
                type: object
                description: Danh sách dữ liệu giá khớp dự kiến cùng thông tin phân trang.
                properties:
                  expectedPrices:
                    type: array
                    description: Danh sách dữ liệu giá khớp dự kiến của mã chứng khoán.
                    items:
                      type: object
                      properties:
                        marketId:
                          type: string
                          example: STO
                          description: |-
                            Mã thị trường niêm yết mã chứng khoán
                            - DVX: Phái sinh sàn HNX
                            - HCX: Trái phiếu doanh nghiệp HNX
                            - STO: Cổ phiếu sàn HOSE
                            - STX: Cổ phiếu sàn HNX
                            - UPX: Cổ phiếu sàn Upcom
                        boardId:
                          type: string
                          example: G1
                          description: |-
                            Mã bảng giao dịch
                            - G1: Lô chẵn
                            - G4: Lô lẻ
                            - T1: Thỏa thuận trong giờ (9h - 14h45)
                            - T3: Thỏa thuận sau giờ (14h45 - 15h)
                            - T4: Thỏa thuận lô lẻ trong giờ (9h - 14h45)
                            - T6: Thỏa thuận lô lẻ sau giờ (14h45 - 15h)
                        isin:
                          type: string
                          example: VN000000HPG4
                          description: Mã định danh quốc tế (ISIN) của chứng khoán.
                        symbol:
                          type: string
                          example: HPG
                          description: Mã chứng khoán
                        closePrice:
                          type: number
                          format: double
                          example: 0
                          description: Giá đóng cửa
                        expectedTradePrice:
                          type: number
                          format: double
                          example: 94.1
                          description: Giá khớp dự kiến
                        expectedTradeQuantity:
                          type: integer
                          format: int32
                          example: 2000
                          description: Khối lượng khớp dự kiến
                        time:
                          type: string
                          example: '2026-08-03 14:40:05.148'
                          description: >-
                            Thời gian ghi nhận. Định dạng: YYYY-MM-DD
                            HH:mm:ss.SSS (GMT+7).
                  nextPageToken:
                    type: string
                    example: null
                    description: >-
                      Token dùng để lấy trang dữ liệu tiếp theo. Giá trị null
                      nếu không còn dữ liệu.
                    nullable: true
        '400':
          description: Yêu cầu không hợp lệ
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 400
                    description: Mã HTTP
                    format: int32
                  code:
                    type: string
                    example: OA-003
                    description: Mã lỗi
                  message:
                    type: string
                    example: Thông tin nhập không hợp lệ
                    description: Thông điệp lỗi
              example:
                code: OA-003
                message: Thông tin nhập không hợp lệ
                status: 400
        '500':
          description: Lỗi hệ thống
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    example: 500
                    description: Mã HTTP
                    format: int32
                  code:
                    type: string
                    example: OA-009
                    description: Mã lỗi
                  message:
                    type: string
                    example: Lỗi hệ thống
                    description: Thông điệp lỗi
              example:
                code: OA-009
                message: Lỗi hệ thống
                status: 500

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.